Skip to main content

Atrium API

List Account Numbers by Member

Use this endpoint to check whether account and routing numbers are available for accounts associated with a particular member. It returns the account_numbers object, which contains account and routing number data for each account associated with the member.

GET
/users/{user_guid}/members/{member_guid}/account_numbers

Request sample

Language:sh

_10
curl -i 'https://vestibule.mx.com/users/{user_guid}/members/{member_guid}/account_numbers' \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}'

Response sample

200
Language:json

_19
{
_19
"account_numbers": [
_19
{
_19
"account_guid": "ACT-123",
_19
"account_number": "10001",
_19
"institution_number": null,
_19
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
_19
"routing_number": "68899990000000",
_19
"transit_number": null,
_19
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
_19
}
_19
],
_19
"pagination": {
_19
"current_page": 1,
_19
"per_page": 25,
_19
"total_entries": 1,
_19
"total_pages": 1
_19
}
_19
}